# -*- coding: utf-8 -*-

import json
from threading import Lock

CONF_FILE = '/srv/vm/config.json'

class Config:
    def __init__(self):
        self.lock = Lock()
        self.load()

    def load(self):
        with self.lock:
            with open(CONF_FILE, 'r') as f:
                self.data = json.load(f)

    def save(self):
        with self.lock:
            with open(CONF_FILE, 'w') as f:
                json.dump(self.data, f, sort_keys=True, indent=4)

    def __getitem__(self, attr):
        return self.data[attr]
