# -*- coding: utf-8 -*-

class WSGILang:
    lang = {
        'malformed_request': 'Byl zaslán chybný požadavek. Obnovte stránku a zkuste akci zopakovat.',
        'invalid_domain': 'Zadaný doménový název "{}" není platný.',
        'invalid_port': 'Zadaný port "{}" není platný.',
        'host_updated': 'Nastavení hostitele bylo úspěšně změněno. Přejděte na URL <a href="{}">{}</a> a pokračujte následujícími kroky.',
        'dns_record_does_not_exist': 'DNS záznam pro název "{}" neexistuje.',
        'dns_record_mismatch': 'DNS záznam pro název "{}" směřuje na IP {} místo očekávané {}.',
        'dns_timeout': 'Nepodařilo se kontaktovat DNS server. Zkontrolujte, zda má virtuální stroj přístup k internetu.',
        'dns_records_ok': 'DNS záznamy jsou nastaveny správně.',
        'http_host_not_reachable': 'Adresa {} není dostupná z internetu. Zkontrolujte nastavení síťových komponent.',
        'http_timeout': 'Nepodařilo se kontaktovat ping server. Zkontrolujte, zda má virtuální stroj přístup k internetu.',
        'http_hosts_ok': 'Síť je nastavena správně. Všechny aplikace na portu {} jsou z internetu dostupné.',
        'cert_file_missing': 'Nebyl vybrán soubor s certifikátem.',
        'key_file_missing': 'Nebyl vybrán soubor se soukromým klíčem.',
        'cert_request_error': 'Došlo k chybě při žádosti o certifikát. Zkontrolujte, zda je virtuální stroj dostupný z internetu na portu 80.',
        'cert_installed': 'Certifikát byl úspěšně nainstalován. Přejděte na URL <a href="{}">{}</a> nebo restartujte webový prohlížeč pro jeho načtení.',
        'common_updated': 'Nastavení aplikací bylo úspěšně změněno.',
        'stop_start_error': 'Došlo k chybě při spouštění/zastavování. Zkuste akci opakovat nebo restartuje virtuální stroj.',
        'installation_in_progress': 'Probíhá instalace jiného balíku. Vyčkejte na její dokončení.',
        'package_manager_error': 'Došlo k chybě při instalaci aplikace. Zkuste akci opakovat nebo restartuje virtuální stroj.',
        'bad_password': 'Nesprávné heslo',
        'password_mismatch': 'Zadaná hesla se neshodují',
        'password_empty': 'Nové heslo nesmí být prázdné',
        'password_changed': 'Heslo úspěšně změněno',
        'reboot_initiated': 'Příkaz odeslán. Vyčkejte na restartování virtuálního stroje.',
        'shutdown_initiated': 'Příkaz odeslán. Vyčkejte na vypnutí virtuálního stroje.',
    }

    def __getattr__(self, key):
        def function(*args):
            return self.lang[key].format(*args)
        return function
