#!/bin/sh
set -ev

# Remove cronjob
rm -f /etc/periodic/hourly/ckan

# Remove service
rc-update del ckan || true
rm -f /etc/init.d/ckan
rc-update -u

# Drop database and user
if [ -e /etc/init.d/postgres ]; then
    [ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
    echo 'DROP DATABASE ckan; DROP DATABASE ckan_datastore; DROP ROLE ckan; DROP ROLE ckan_datastore;' | lxc-attach -u 5432 -g 5432 postgres -- psql
    [ ! -z ${STOP_POSTGRES} ] && service postgres stop
fi

# Remove redis data
if [ -e /etc/init.d/redis ]; then
    [ ! -e /run/openrc/started/redis ] && service redis start && STOP_REDIS=1
    lxc-attach redis -- redis-cli -n 0 flushdb
    [ ! -z ${STOP_REDIS} ] && service redis stop
fi

# Remove solr core
if [ -e /etc/init.d/solr ]; then
    [ -e /run/openrc/started/solr ] && service solr stop && START_SOLR=1
    rm -rf /srv/solr/data/ckan
    [ ! -z ${START_SOLR} ] && service solr start
fi

exit 0
